import sys

total_options = [
    'variable',
    'model',
    'experiment',
    'ensemble_member',
    'period',
    'format',
    'name'
]

if sys.argv[1] == 'projections-cmip5-daily-pressure-levels':
    total_options.remove('experiment')

larg = [[] for e in total_options]

counter = 0
jp_count = 0
for item in sys.argv[3:]:
    if str(item) == 'jump' and counter <= len(larg) - 1:
        counter += 1
        jp_count += 1
    if str(item) != 'jump' and counter <= len(larg) - 1:
        larg[counter].append(item)
        jp_count = 0
    if counter > len(larg):
        print
        print 'You have exceeded the total number of different attributes available for this datataset'
        print
        sys.exit()
    if jp_count > 1 and counter == len(larg) - 1:
        print
        print 'You have forgotten to put an input between jumps'
        print
        sys.exit()

larg = [[str(sys.argv[1])]] + larg
total_options = ['product'] + total_options
counter = 0
print
print 'What you have requested: '
print
for e in larg:
    print total_options[counter]
    for sbe in e:
        print ' ' * 3, sbe
    print
    counter += 1
print
print '-------------------------------------------------'
print
print 'Are you happy with this parameters?'
Answer = raw_input('Y/N: ')
if str(Answer).lower() == 'n':
    print
    print 'Seems you are not happy at all. Next time try to config all parameters you need'
    print
    print '>                               See you soon!                                 <'
    print '_______________________________________________________________________________'
else:
    print
    print 'Next step is to download the data under the parameters you have defined'
    print

print
print 'test done'
